Trouble installing gnuradio-multimode

Need help installing or figuring out something about your SDR? Ask here.
Post Reply
jonnycat
Posts: 8
Joined: Fri Oct 10, 2014 12:55 am

Trouble installing gnuradio-multimode

Post by jonnycat » Sun Jan 25, 2015 11:10 pm

I did a "git clone" of https://github.com/bgamari/gnuradio-multimode, and then followed the instructions to install the application with "make install".

Unfortunately, I received the following error:

Code: Select all

$ make install
grcc -d . multimode.grc
linux; GNU C++ version 4.8.3 20140624 (Red Hat 4.8.3-1); Boost_105400; UHD_003.006.002-0-unknown

Error during file compilation.
make: *** [multimode.py] Error 1
Any idea what is going wrong here? If it helps, there was no ~/bin created in the process.

rtlsdrblog
Site Admin
Posts: 2410
Joined: Mon Nov 19, 2012 11:54 pm

Re: Trouble installing gnuradio-multimode

Post by rtlsdrblog » Tue Jan 27, 2015 9:43 pm

Are you running GNU Radio 3.6 or 3.7? As far as I know, multimode hasn't been updated to work on 3.7 yet.

jonnycat
Posts: 8
Joined: Fri Oct 10, 2014 12:55 am

Re: Trouble installing gnuradio-multimode

Post by jonnycat » Tue Jan 27, 2015 11:07 pm

Ah thanks, I am indeed running gnuradio 3.7.3; I wonder if that's why it wouldn't compile.

Post Reply